<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zhongzheng.modules.activity.mapper.ActivityTaskMapper">

    <resultMap type="com.zhongzheng.modules.activity.domain.ActivityTask" id="ActivityTaskResult">
        <result property="id" column="id"/>
        <result property="taskType" column="task_type"/>
        <result property="startIntegral" column="start_integral"/>
        <result property="endIntegral" column="end_integral"/>
        <result property="remarks" column="remarks"/>
        <result property="description" column="description"/>
        <result property="accIntegral" column="acc_integral"/>
        <result property="longTime" column="long_time"/>
        <result property="countDay" column="count_day"/>
        <result property="createTime" column="create_time"/>
        <result property="updateTime" column="update_time"/>
        <result property="status" column="status"/>
    </resultMap>

    <select id="queryByTaskId" parameterType="Long" resultMap="ActivityTaskResult">
        select * FROM activity_task where 1=1 and status = 1
            and task_type = #{taskId} limit 1

    </select>

</mapper>